fcf.module({
  name: "fcf:NFSQL/NFunction/Concat.js",
  dependencies: ["fcf:NFSQL/NFunction/Function.js"],
  module: function(Function, Errors) {
    var NFunction = fcf.prepareObject(fcf, "NFSQL.NFunction");

    NFunction.Concat = function() {
      Function.call(this);

      this.processFunction = function(a_taskInfo, a_info){
        a_info.function.recommendedAs = "concat()";
      }

    }

    return NFunction.Concat;
  }
});
